Updates the user_skill_list object with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
user_skill_list| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| user_id |
Foreign key to user |
globally unique identifier |
Optionally required : user_id, user_code or user must be provided |
| user_code |
Embedded entity "user" using ERP PK when adding/updating user_skill_list |
string |
Optionally required : user_id, user_code or user must be provided |
| user |
Embedded entity "user" using node when adding/updating user_skill_list |
user |
Optionally required : user_id, user_code or user must be provided |
| skill_id |
Foreign key to skill |
globally unique identifier |
Optionally required : skill_id, skill_code or skill must be provided |
| skill_code |
Embedded entity "skill" using ERP PK when adding/updating user_skill_list |
string |
Optionally required : skill_id, skill_code or skill must be provided |
| skill |
Embedded entity "skill" using node when adding/updating user_skill_list |
skill |
Optionally required : skill_id, skill_code or skill must be provided |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "65da74cf-f648-4c61-8ef8-7263f1ed1933",
"user_id": "5bad0332-ad5d-4c9d-8d88-7c469a7cfb01",
"user_code": "sample string 3",
"user": {
"id": "da0d8e3a-192a-486d-b735-aee428c4d3c8",
"db_language_id": "6d1e2658-0c8a-4f50-b7c0-c1d5a2d924d3",
"username": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"code": "sample string 6",
"archived": true,
"disabled": true,
"emergency_contact": "sample string 9",
"bankaccount": "sample string 10",
"social_security": "sample string 11",
"place_of_birth": "sample string 12",
"nationality": "sample string 13",
"functions": "sample string 14",
"birthdate": "2026-11-02T05:00:25.0938731+00:00",
"skype": "sample string 16",
"notes": "sample string 17",
"sales_organization_id": "2f4c1a86-3c90-490c-ac2f-05213c0966bd",
"sales_organization": {
"id": "f1dadcb7-047b-44aa-91a0-391e6ced3fe8",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "cca3a62f-51e5-47fb-8d23-7d43327570d5",
"db_currency_id": "e14c0742-ad16-424d-bb4e-a3831699ee95",
"db_language_id": "eb9a40de-a757-47c9-8ac8-0b0dccf4382b",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-02T05:00:25.0938731+00:00"
},
"sales_organization_code": "sample string 19",
"is_team_leader": true,
"team_leader_user_id": "fabf59a2-8e47-4bf3-878c-b6337820dc13",
"email": "sample string 22",
"phone": "sample string 23",
"fax": "sample string 24",
"mobile": "sample string 25",
"private_email": "sample string 26",
"private_phone": "sample string 27",
"private_fax": "sample string 28",
"private_mobile": "sample string 29",
"private_street": "sample string 30",
"private_street_number": "sample string 31",
"private_city": "sample string 32",
"private_zip": "sample string 33",
"private_db_country_id": "76830e48-213a-4be2-b7d2-623afeec7e58",
"private_db_country_code": "sample string 35",
"modified_dateutc": "2026-11-02T05:00:25.0938731+00:00",
"allow_hero_app": true,
"allow_sales_app": true,
"allow_service_app": true,
"user_group_id": "0900f760-7247-4288-b614-c204257c238f"
},
"skill_id": "b8486f49-7688-4c41-bf6f-1badef8c4645",
"skill_code": "sample string 5",
"skill": {
"id": "955d1c50-206a-4195-a185-431d339aee0f",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"sales_organization_id": "12ce5ab7-42c8-411a-9805-586550ec587f",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "f1dadcb7-047b-44aa-91a0-391e6ced3fe8",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "cca3a62f-51e5-47fb-8d23-7d43327570d5",
"db_currency_id": "e14c0742-ad16-424d-bb4e-a3831699ee95",
"db_language_id": "eb9a40de-a757-47c9-8ac8-0b0dccf4382b",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-02T05:00:25.0938731+00:00"
},
"modified_dateutc": "2026-11-02T05:00:25.0938731+00:00"
},
"reference_back_office": "sample string 6",
"modified_dateutc": "2026-11-02T05:00:25.0938731+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.